variable "ubuntu_2204" {
  type = map(string)
  default = {
    name           = "Ubuntu 22.04 - GARR"
    uuid           = "09d879ad-70ee-4f05-9fd8-ffb7b76e2d1b"
    user_data_file = "../../openstack_vm_data_scripts/ubuntu2204.sh"
  }
}

variable "ubuntu2204_data_file" {
  default = "../../openstack_vm_data_scripts/ubuntu2204.sh"
}

# Create in the path 'modules/ssh-key-ref' the file 'ssh-key-ref-outputs.tf'
# with the following outputs:

# output "ssh_key_file" {
#   value     = "~/.ssh/{YOUR_PRIVATE_KEYNAME}"
#   sensitive = true
# }

# output "ssh_key_name" {
#   value     = "{YOUR_KEYNAME}"
#   sensitive = false
# }

# Then you can use above outputs in your 'file.tf' (if it contains the soft link to variables.tf) as:
#  module.ssh_settings.ssh_key_file
#  module.ssh_settings.ssh_key_name

variable "ssh_sources" {
  type = map(string)
  default = {
    s2i2s_vpn_1_cidr      = "146.48.28.10/32"
    s2i2s_vpn_2_cidr      = "146.48.28.11/32"
    d4s_vpn_1_cidr        = "146.48.122.27/32"
    d4s_vpn_2_cidr        = "146.48.122.49/32"
    shell_d4s_cidr        = "146.48.122.95/32"
    infrascience_net_cidr = "146.48.122.0/23"
  }
}

